/* get the GCD (Greatest Common Divisor) of m and n */

int func1(int m, int n)
{
	int r;

	if (m == 0) {
		return n;
	}
	
	r = m % n;
	if (r == 0) {
		return n;
	} else {
		return func1(n, r);
	}
}


